digiKam Developer Documentation: Digikam::DImgFilterManager Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Friends | List of all members
Digikam::DImgFilterManager Class Reference
Inheritance diagram for Digikam::DImgFilterManager:

## Public Member Functions
void | addGenerator (DImgFilterGenerator *const generator)
| Registers all filter provided by this generator.
DImgThreadedFilter * | createFilter (const QString &filterIdentifier, int version) override
| Create a filter from an installed manager.
QString | displayableName (const QString &filterIdentifier) override
QString | filterIcon (const FilterAction &action)
QString | filterIcon (const QString &filterIdentifier)
QString | i18nDisplayableName (const FilterAction &action)
QString | i18nDisplayableName (const QString &filterIdentifier)
bool | isRawConversion (const QString &filterIdentifier)
bool | isSupported (const QString &filterIdentifier) override
bool | isSupported (const QString &filterIdentifier, int version) override
void | removeGenerator (DImgFilterGenerator *const generator)
QStringList | supportedFilters () override
QList< int > | supportedVersions (const QString &filterIdentifier) override

## Static Public Member Functions
static DImgFilterManager * | instance ()

## Friends
class | DImgFilterManagerCreator

## Member Function Documentation

## ◆ createFilter()

DImgThreadedFilter * Digikam::DImgFilterManager::createFilter | ( | const QString & | filterIdentifier,
|  | int | version
| ) |  |
| overridevirtual

Returns
  0 if no filter could be created. This is true if identifier/version is not supported, or the filter is builtin.

Note
  You probably want to use FilterActionFilter.

Implements Digikam::DImgFilterGenerator.

## ◆ displayableName()

QString Digikam::DImgFilterManager::displayableName | ( | const QString & | filterIdentifier | ) |
| overridevirtual

Returns
  The (untranslated) displayable name for the given identifier. This is only possible for supported filters. If you have a FilterAction, it may already contain a displayable name.

Implements Digikam::DImgFilterGenerator.

## ◆ filterIcon()

QString Digikam::DImgFilterManager::filterIcon | ( | const QString & | filterIdentifier | ) |

Returns
  An icon for the given filter. If no icon is known, returns a null string.

## ◆ i18nDisplayableName()

QString Digikam::DImgFilterManager::i18nDisplayableName | ( | const QString & | filterIdentifier | ) |

Returns
  The translated displayable name

## ◆ isRawConversion()

bool Digikam::DImgFilterManager::isRawConversion | ( | const QString & | filterIdentifier | ) |

Returns
  True if the given filter is to be considered as a step converting a RAW image to a normal image.

## ◆ isSupported() [1/2]

bool Digikam::DImgFilterManager::isSupported | ( | const QString & | filterIdentifier | ) |
| overridevirtual

Returns
  True if the given filter, or, more specifically, the given filter in the given version is supported.

Reimplemented from Digikam::DImgFilterGenerator.

## ◆ isSupported() [2/2]

bool Digikam::DImgFilterManager::isSupported | ( | const QString & | filterIdentifier,
|  | int | version
| ) |  |
| overridevirtual

Reimplemented from Digikam::DImgFilterGenerator.

## ◆ supportedFilters()

QStringList Digikam::DImgFilterManager::supportedFilters | ( |  | ) |
| overridevirtual

Returns
  A list of the supported filter identifiers

Implements Digikam::DImgFilterGenerator.

## ◆ supportedVersions()

QList< int > Digikam::DImgFilterManager::supportedVersions | ( | const QString & | filterIdentifier | ) |
| overridevirtual

Returns
  A list of supported versions of the given filter

Implements Digikam::DImgFilterGenerator.